Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple.component
Class ComponentMetamodel

    java.lang.Object
      org.hibernate.tuple.component.ComponentMetamodel

All Implemented Interfaces:
  Serializable

    public class ComponentMetamodel

extends Object
implements Serializable

Centralizes metamodel information about a component.

See Also:
  Serialized Form

Constructor Summary
`ComponentMetamodel(Component component)`

Method Summary
`ComponentTuplizer` | `getComponentTuplizer()`
`EntityMode` | `getEntityMode()`
`StandardProperty[]` | `getProperties()`
`StandardProperty` | `getProperty(int index)`
`StandardProperty` | `getProperty(String propertyName)`
`int` | `getPropertyIndex(String propertyName)`
`int` | `getPropertySpan()`
`boolean` | `isKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentMetamodel

    public ComponentMetamodel(Component component)

Method Detail

### isKey

    public boolean isKey()

### getPropertySpan

    public int getPropertySpan()

### getProperties

    public StandardProperty[] getProperties()

### getProperty

    public StandardProperty getProperty(int index)

### getPropertyIndex

    public int getPropertyIndex(String propertyName)

### getProperty

    public StandardProperty getProperty(String propertyName)

### getEntityMode

    public EntityMode getEntityMode()

### getComponentTuplizer

    public ComponentTuplizer getComponentTuplizer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.